Jaxrs2TypesModule (Jackson: JAX-RS (parent) 2.14.0 API)

com.fasterxml.jackson.datatype.jaxrs

## Class Jaxrs2TypesModule

- java.lang.Object
- - com.fasterxml.jackson.databind.Module
  - - com.fasterxml.jackson.databind.module.SimpleModule
    - - com.fasterxml.jackson.datatype.jaxrs.Jaxrs2TypesModule

- All Implemented Interfaces:
    com.fasterxml.jackson.core.Versioned, Serializable

      public class Jaxrs2TypesModule
      extends com.fasterxml.jackson.databind.module.SimpleModule

  Simple datatype module that adds serialization and deserialization support for following JAX-RS 2.0 types:
  - `Link`: serialized using "link header" representation
  Since:
    2.8
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.Module

      `com.fasterxml.jackson.databind.Module.SetupContext`

  - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.module.SimpleModule

      `_abstractTypes, _deserializerModifier, _deserializers, _hasExplicitName, _keyDeserializers, _keySerializers, _mixins, _name, _namingStrategy, _serializerModifier, _serializers, _subtypes, _valueInstantiators, _version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Jaxrs2TypesModule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getModuleName()`
    `int` | `hashCode()`

    - ### Methods inherited from class com.fasterxml.jackson.databind.module.SimpleModule

      `_checkNotNull, addAbstractTypeMapping, addDeserializer, addKeyDeserializer, addKeySerializer, addSerializer, addSerializer, addValueInstantiator, getTypeId, registerSubtypes, registerSubtypes, registerSubtypes, setAbstractTypes, setDeserializerModifier, setDeserializers, setKeyDeserializers, setKeySerializers, setMixInAnnotation, setNamingStrategy, setSerializerModifier, setSerializers, setupModule, setValueInstantiators, version`

    - ### Methods inherited from class com.fasterxml.jackson.databind.Module

      `getDependencies`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Jaxrs2TypesModule

          public Jaxrs2TypesModule()

  - ### Method Detail

    - #### getModuleName

          public String getModuleName()

      Overrides:
        `getModuleName` in class `com.fasterxml.jackson.databind.module.SimpleModule`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

Copyright © 2022 FasterXML. All rights reserved.